# Class BinResultColumnData<T>

java.lang.Object
uk.ac.starlink.table.ColumnData
uk.ac.starlink.ttools.plot2.layer.BinResultColumnData<T>

Type Parameters:
  `T` - type of ValueInfo content class, should be numeric

public class BinResultColumnData<T> extends uk.ac.starlink.table.ColumnData
ColumnData implementation that presents the values from a BinList.Result object, assuming bin index is the row number.

## Method Summary

Modifier and Type
Method
Description
`static BinResultColumnData<?>`
`createInstance(uk.ac.starlink.table.ValueInfo info, BinList.Result binResult, double binFactor)`
Returns a ColumnData instance for a given metadata object and bin data set.
`T`
`readValue(long irow)`

### Methods inherited from class uk.ac.starlink.table.ColumnData

`getColumnInfo, isWritable, setColumnInfo, storeValue`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### readValue

public T readValue(long irow)

Specified by:
  `readValue` in class `uk.ac.starlink.table.ColumnData`

### createInstance

public static BinResultColumnData<?> createInstance(uk.ac.starlink.table.ValueInfo info, BinList.Result binResult, double binFactor)
Returns a ColumnData instance for a given metadata object and bin data set. The content class of `info` must be one of the numeric wrapper types.

Parameters:
  `info` - required metadata for returned column, with some numeric content class
  `binResult` - supplies data
  `binFactor` - multiplier for all bin values; typically obtained using Combiner.Type.getBinFactor
Returns:
  new column data